API Reference

Complete reference for the SmartID V5 API. All endpoints accept JSON payloads and require Bearer token authentication.

Overview

Authentication: All endpoints require the Authorization: Bearer <license_key> header. Separate license keys are provided for development/QA and production environments.

Asynchronous Processing: All endpoints process requests asynchronously and return an immediate 200 OK status. It is recommended that your backend calls the API asynchronously, preferably in a separate thread.

Login

Register a user login event with device fingerprint data collected by the SDK.

Request Attributes

channelId integer required

Numeric identifier of the digital channel.

user string required

Unique identifier of the user who logged in.

session string optional

Session identifier.

publicIp string required

Public IP address from which the user accessed the channel.

data string required

Encrypted device information from the SmartID SDK.

HTTP Endpoint

POST /api/v5/analytics/app/login
Dev/QA: /api-dev/v5/analytics/app/login
JSON
{
  "channelId": 2,
  "user": "jlopez",
  "session": "445613456fa",
  "publicIp": "20.201.64.54",
  "data": "ujOmfzNv5l/1SW+clQ==..."
}
cURL
curl -X POST \\
  https://<api-url>/api/v5/analytics/app/login \\
  -H "Content-Type: application/json" \\
  -H "Authorization: Bearer <license>" \\
  -d '{
  "channelId": 2,
  "user": "jlopez",
  "session": "445613456fa",
  "publicIp": "20.201.64.54",
  "data": "ujOmfzNv5l/1SW+clQ==..."
}'

Logout

Register a user logout event.

Request Attributes

channelId integer required

Numeric identifier of the digital channel.

user string required

Unique identifier of the user who logged out.

session string required

Session identifier.

publicIp string optional

Public IP address.

data string optional

Encrypted device information (optional for logout).

HTTP Endpoint

POST /api/v5/analytics/app/logout
JSON
{
  "channelId": 2,
  "user": "jlopez",
  "session": "445613456fa",
  "publicIp": "20.201.64.54",
  "data": "ujOmfzNv5l/1SW+clQ==..."
}

Register Operation

Register a transaction or operation event for the transactional fraud prevention engine. Each operation must be associated with an active login session by using the same channelId, account.client, and account.session values sent in the Login request.

Request Attributes

channelId integer required

Numeric identifier of the digital channel.

timestamp string required

Transaction date and time in ISO 8601 format.

HTTP Endpoint

POST /api/v5/analytics/app/operation
JSON
{
  "channelId": 1,
  "transaction": {
    "category": "add account",
    "type": "ach",
    "description": "account name",
    "reference": "operation reference",
    "date": "datetime",
    "details": {
      "key": "value"
    }
  },
  "account": {
    "client": "1564651jlopez",
    "clientRefId": 0,
    "clientRefIdStr": "",
    "email": "",
    "phoneNumber": "",
    "session": "7gf7asdf4as7f",
    "accountNumber": "g489as4fa57gwad4a5g==",
    "bank": "ga8sdasfgasga=="
  },
  "order": {
    "amount": 0.00,
    "currency": "GTQ"
  },
  "accountTo": {
    "client": "",
    "accountNumber": "",
    "bank": ""
  },
  "debitFrom": {
    "account": "",
    "bank": "",
    "currency": ""
  },
  "creditTo": {
    "account": "",
    "bank": "",
    "currency": ""
  },
  "creditCard": {
    "bin": "",
    "hash": "",
    "last4Digits": "",
    "token": ""
  }
}